test: add git plugin test stub
License: MIT Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
Jakub Sztandera committed
Jul 12, 2017 at 21:02 UTC
2c71cf0fd7221f9976176395d40956d0088b8c57
1 file changed
+27
test/sharness/t0280-plugin-git.sh
new
+27
@@ -0,0 +1,27 @@
1
+#!/bin/sh
2
+#
3
+# Copyright (c) 2016 Jakub Sztandera
4
+# MIT Licensed; see the LICENSE file in this repository.
5
+#
6
+
7
+test_description="Test git plugin"
8
+
9
+. lib/test-lib.sh
10
+
11
+# if in travis CI, dont test mount (no fuse)
12
+if ! test_have_prereq PLUGIN; then
13
+ skip_all='skipping git plugin tests, plugins not available'
14
+
15
+ test_done
16
+fi
17
+
18
+test_init_ipfs
19
+
20
+test_expect_success "copy plugin" '
21
+ mkdir -p "$IPFS_PATH/plugins" &&
22
+ cp ../plugins/git.so "$IPFS_PATH/plugins/"
23
+'
24
+
25
+# test here
26
+
27
+test_done